## RygelMediaServer

RygelMediaServer — This class may be used to implement in-process UPnP-AV media servers.

## Functions

RygelMediaServer * | rygel_media_server_new ()

## Properties

RygelMediaContainer * | root-container | Write / Construct Only

## Types and Values

#define | RYGEL_TYPE_MEDIA_SERVER
struct | RygelMediaServer
struct | RygelMediaServerClass

## Object Hierarchy

        GObject
        ╰── RygelMediaDevice
            ╰── RygelMediaServer

## Description

Call `rygel_media_device_add_interface()` on the RygelMediaServer to allow it to serve media via that network interface.

See the <link linkend="implementing-servers">Implementing Servers</link> section.

## Functions

### rygel_media_server_new ()

    RygelMediaServer *
    rygel_media_server_new (const gchar *title,
                            RygelMediaContainer *root_container,
                            RygelPluginCapabilities capabilities);

Create a MediaServer to serve the media in the RygelMediaContainer. For instance, you might use a RygelSimpleContainer. Alternatively, you might use your own RygelMediaContainer implementation.

Assuming that the RygelMediaContainer is correctly implemented, the RygelMediaServer will respond appropriately to changes in the RygelMediaContainer.

#### Parameters

title |  |
root_container |  |
capabilities |  |

## Types and Values

### RYGEL_TYPE_MEDIA_SERVER

    #define RYGEL_TYPE_MEDIA_SERVER (rygel_media_server_get_type ())

The type for RygelMediaServer.

### struct RygelMediaServer

    struct RygelMediaServer;

This class may be used to implement in-process UPnP-AV media servers.

Call `rygel_media_device_add_interface()` on the RygelMediaServer to allow it to serve media via that network interface.

See the <link linkend="implementing-servers">Implementing Servers</link> section.

### struct RygelMediaServerClass

    struct RygelMediaServerClass {
    	RygelMediaDeviceClass parent_class;
    };

The class structure for `RYGEL_TYPE_MEDIA_SERVER`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“root-container”` property

      “root-container”           RygelMediaContainer *

root-container.

Flags: Write / Construct Only